<script setup lang="ts">
import ProductDialog from '@/Product/components/ProductDialog.vue'
import { useProductStore } from '@/Product/stores/product'
import { useTypeStore } from '@/Type/stores/type'
import { onMounted } from 'vue'

const productStore = useProductStore()
const typeStore = useTypeStore()

onMounted(async () => {
  await productStore.getAll()
  await typeStore.getTypes()
})
</script>

<template>
  <ProductDialog />
  <v-data-table
    class="h-100"
    fixed-header
    :headers="productStore.headers"
    :items="productStore.items"
  >
    <!-- :search="search" -->
    <template #top>
      <v-card class="pa-5">
        <v-row>
          <v-col>
            <h2>Product Management</h2>
          </v-col>
          <v-col cols="1">
            <v-btn @click="productStore.openDialog()"> NEW </v-btn>
          </v-col>
        </v-row>
      </v-card>
    </template>

    <template #item="{ item }">
      <tr>
        <td>{{ item.id }}</td>
        <td>
          <v-img
            :src="'http://localhost:3000/images/products/' + item.image"
            width="100"
            height="100"
          ></v-img>
        </td>
        <td>{{ item.name }}</td>
        <td>{{ item.price }}</td>
        <td>{{ item.type.name }}</td>

        <td>
          <v-icon size="small" class="me-2" @click="productStore.editItem(item)">
            mdi-pencil
          </v-icon>
          <v-icon size="small" @click="productStore.deleteItem(item)"> mdi-delete </v-icon>
        </td>
      </tr>
    </template>
    <!-- <template v-slot:[`item.image`]="{ item }">
      <v-img :src="'http://localhost:3000/images/products/' + item.image" width="100" height="100"></v-img>
    </template> -->
  </v-data-table>
</template>

<style scoped></style>
